Create an organization
This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the document description is incorrect, please refer to V3 API.
Create an organization, which will create an organization with only one node. You can choose the organization description information, root node custom ID, multi-language, etc.
Method name
ManagementClient.create_organization
Request parameters
| Name | Type | Is it required | Default value | Description | Sample value |
|---|---|---|---|---|---|
| metadata | object | yes | - | Metadata information | |
| organizationName | string | yes | - | Organization name | steam memory |
| organizationCode | string | yes | - | Organization code | steamory |
| description | string | no | - | Organization description | Organization description |
| openDepartmentId | string | no | - | Root node custom ID | 60b49eb83fd80adb96f26e68 |
| i18n | <a OrganizationNameI18nDto | No | - | Multi-language settings | {"organizationName":{"zh-CN":{"enabled":false,"value":"中文"},"en-US":{"enabled":false,"value":"English"}}} |
| tenantId | string | No | - | Tenant ID | 623c20b2a062aaaaf41b17da |
| postIdList | string[] | No | - | Post id list | ["xxx"] |
Request Response
Type: OrganizationSingleRespDto
| Name | Type | Description |
|---|---|---|
| statusCode | number | Business status code, which can be used to determine whether the operation is successful. 200 means success. |
| message | string | Description |
| apiCode | number | Segmented error code, which can be used to get the specific error type (successful request does not return). For a detailed list of error codes, please see: API Code List |
| requestId | string | Request ID. Returned when the request fails. |
| data | <a OrganizationDto | Response data |
Sample result:
json
{
"statusCode": 200,
"message": "Success",
"requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
"data": {
"organizationCode": "steamory",
"organizationName": "test",
"description": "desc",
"createdAt": "2022-07-03T03:20:30.000Z",
"updatedAt": "2022-07-03T03:20:30.000Z",
"departmentId": "60b49eb83fd80adb96f26e68",
"openDepartmentId": "60b49eb83fd80adb96f26e68",
"hasChildren": true,
"leaderUserIds": "[\"60b49eb83fd80adb96f26e68\"]",
"membersCount": 150,
"i18n": {
"organizationName": {
"zh-CN": {
"enabled": false,
"value": "中文"
},
"en-US": {
"enabled": false,
"value": "English"
}
}
},
"customData": {
"icon": "https://example.com/logo"
},
"tenantId": "623c20b2a062aaaaf41b17da",
"postIdList": "[\"xxx\"]",
"status": "false",
"allow": "[\"xxx\"]"
}
}Data Structure
OrganizationNameI18nDto
| Name | Type | Is this field required? | Description | Sample value |
|---|---|---|---|---|
| organizationName | Yes | Multi-language-supported fields Nested type: <a LangObject. | {"zh-CN":{"enabled":false,"value":"中文"},"en-US":{"enabled":false,"value":"English"}} |
LangObject
| Name | Type | Is it required? | Description | Sample value |
|---|---|---|---|---|
| zh-CN | Yes | Multilingual Chinese content Nested type: <a LangUnit. | {"enabled":false,"value":"中文"} | |
| en-US | Yes | Multilingual English content Nested type: <a LangUnit. | {"enabled":false,"value":"English"} | |
| zh-TW | Yes | Multilingual Traditional Chinese content Nesting type: <a LangUnit. | {"enabled":false,"value":"繁體中文"} | |
| ja-JP | Yes | Multilingual Japanese content Nesting type: <a LangUnit. | {"enabled":false,"value":"日本語"} |
LangUnit
| Name | Type | Is it required? | Description | Sample value |
|---|---|---|---|---|
| enabled | boolean | yes | Whether it is enabled. If enabled, and the console selects this language, the content will be displayed. (Default is off) | |
| value | string | yes | Multilingual content |
OrganizationDto
| Name | Type | Is it required? | Description | Sample value |
|---|---|---|---|---|
| organizationCode | string | yes | Organization code | steamory |
| organizationName | string | yes | Organization name | steam memory |
| description | string | no | Organization description | Organization description |
| createdAt | string | no | Creation time | 2022-07-03T03:20:30.000Z |
| updatedAt | string | no | Modification time | 2022-07-03T03:20:30.000Z |
| departmentId | string | yes | Root node ID | 60b49eb83fd80adb96f26e68 |
| openDepartmentId | string | No | Root node custom ID | 60b49eb83fd80adb96f26e68 |
| hasChildren | boolean | Yes | Whether to include child nodes | true |
| leaderUserIds | array | No | Department leader ID | ["60b49eb83fd80adb96f26e68"] |
| membersCount | number | Yes | Number of department members | 150 |
| isVirtualNode | boolean | yes | Is it a virtual department? | |
| i18n | No | Multi-language settings Nested type: <a OrganizationNameI18nDto. | {"organizationName":{"zh-CN":{"enabled":false,"value":"中文"},"en-US":{"enabled":false,"value":"English"}}} | |
| customData | object | No | Extended field data of department | {"icon":"https://example.com/logo"} |
| tenantId | string | No | Tenant ID | 623c20b2a062aaaaf41b17da |
| postIdList | array | No | Post id list | ["xxx"] |
| status | string | No | Status | false |
| allow | string | No | Access restriction | ["xxx"] |
OrganizationNameI18nDto
| Name | Type | Is it required? | Description | Sample value |
|---|---|---|---|---|
| organizationName | Yes | Multi-language supported fields Nested type: <a LangObject. | {"zh-CN":{"enabled":false,"value":"中文"},"en-US":{"enabled":false,"value":"English"}} |
LangObject
| Name | Type | Required | Description | Sample value |
|---|---|---|---|---|
| zh-CN | Yes | Multilingual Chinese content Nested type: <a LangUnit. | {"enabled":false,"value":"中文"} | |
| en-US | Yes | Multilingual English content Nested type: <a LangUnit. | {"enabled":false,"value":"English"} | |
| zh-TW | Yes | Multilingual Traditional Chinese content Nested type: <a LangUnit. | {"enabled":false,"value":"繁體中文"} | |
| ja-JP | Yes | Multilingual Japanese content Nested type: <a LangUnit. | {"enabled":false,"value":"日本語"} |
LangUnit
| Name | Type | Is it required? | Description | Sample value |
|---|---|---|---|---|
| enabled | boolean | Yes | Whether it is enabled. If enabled, and the console selects this language, the content will be displayed. (Default is off) | |
| value | string | Yes | Multilingual content |